Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 79771 - user requests a Save As option for UML diagrams
user requests a Save As option for UML diagrams
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Project
5.x
All All
: P2 with 1 vote (vote)
: 6.x
Assigned To: Yang Su
issues@uml
GRIFFIN_CANDIDATE, EXT-USER
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 14:04 UTC by Sergey Petrov
Modified: 2007-03-27 10:49 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Petrov 2006-07-05 14:04:09 UTC
from jse8 feedback:
I am drawing the Sequence diagram in UML. In my case there are more than one
sequences in a particular scenario. The sequence changes at some point, say x.
Now I want to draw two to three Sequence diagrams. All the diagrams are same
till point x. But in Java Studio 8 there is no facility of making a copy of the
diagram so that I have to just make changes from point x and create another
diagram using that copy. Such as "Save As" button. For Java sources it is
possible to copy the file and paste it in the same package. Please tell me how
to do it?

//-

I think it's really usefull if you want to have several similar version of some
diagrams etc
Comment 1 Yang Su 2007-03-15 22:53:26 UTC
Implemented now, the action is provided on diagram node context menu. The
diagram will be saved with specified name on the same namespace as that of
original one.
Comment 2 Andrew Korostelev 2007-03-27 10:49:22 UTC
issue is verified in all-nbms-hydra-070323_3
Main feature works well.
related issues are filed separately.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo